commit:     f23e460dcdd8614c727b27606135c40b5aef4409
Author:     Nicholas Vinson <nvinson234 <AT> gmail <DOT> com>
AuthorDate: Fri Jun  3 03:44:34 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Jun 26 11:15:48 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f23e460d

net-libs/libnftnl: Version bump to 1.0.6.

Gentoo-Bug: https://bugs.gentoo.org/584896
Gentoo-Bug: https://bugs.gentoo.org/586652

Package-Manager: portage-2.3.0_rc1
Closes: https://github.com/gentoo/gentoo/pull/1734

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 net-libs/libnftnl/Manifest              |  1 +
 net-libs/libnftnl/libnftnl-1.0.6.ebuild | 62 +++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/net-libs/libnftnl/Manifest b/net-libs/libnftnl/Manifest
index 7c20829..f3a45e4 100644
--- a/net-libs/libnftnl/Manifest
+++ b/net-libs/libnftnl/Manifest
@@ -1 +1,2 @@
 DIST libnftnl-1.0.5.tar.bz2 367016 SHA256 
f6d4f5a702e38bc7987f2363f9fcd65930e8b702595c221a497e2f3a359be497 SHA512 
85c71aaaeeafdffe09f2591f26d49d41e9f511a53ed313fe642b4968eae8aac1246a53d5908fc737c6eb9cc4f5f3ef2a4eaa17fe33db453a1fd60f2f9d5c5a1d
 WHIRLPOOL 
15fb25aa9e23bfdcb19ab21ea1d6eadd22e5acc0c38e761e4637a06136c809f5a5827ac58643515432e1394e3e8d4575df11e52b5f16ca787157317e5e2ae463
+DIST libnftnl-1.0.6.tar.bz2 381897 SHA256 
ad3b932a39a1e567308e91b683b32239a5e1aea9b4582dfffe2288c3400ab07e SHA512 
d813c9d0dbdeaffc30695fb0b5dbf987849339d119774c4f0e219db835f2ad9111a7436fd474ffa96b07e288d537cb4a1be153afcca23dabce0c264e1c4a3c62
 WHIRLPOOL 
c4221c99ee437125c1b10d1d47db7586b979e0ce8e7187a2a9fd5ad3b866e0e6b451aba0956c9a48cec9fb7fc411f523c5f35cd9ef2cd1a939aaab7cb7570728

diff --git a/net-libs/libnftnl/libnftnl-1.0.6.ebuild 
b/net-libs/libnftnl/libnftnl-1.0.6.ebuild
new file mode 100644
index 0000000..1050a6d
--- /dev/null
+++ b/net-libs/libnftnl/libnftnl-1.0.6.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools linux-info toolchain-funcs eutils
+
+DESCRIPTION="Netlink API to the in-kernel nf_tables subsystem"
+HOMEPAGE="http://netfilter.org/projects/nftables/";
+SRC_URI="http://netfilter.org/projects/${PN}/files/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0/4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE="examples json static-libs test threads xml"
+
+RDEPEND=">=net-libs/libmnl-1.0.0
+       xml? ( >=dev-libs/mini-xml-2.6[threads=] )
+       json? ( >=dev-libs/jansson-2.3 )"
+DEPEND="virtual/pkgconfig
+       ${RDEPEND}"
+
+REQUIRED_USE="test? ( json xml )"
+
+pkg_setup() {
+       if kernel_is ge 3 13; then
+               CONFIG_CHECK="~NF_TABLES"
+               linux-info_pkg_setup
+       else
+               eerror "This package requires kernel version 3.13 or newer to 
work properly."
+       fi
+}
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_enable static-libs static) \
+               $(use_with xml xml-parsing) \
+               $(use_with json json-parsing)
+}
+
+src_install() {
+       default
+       gen_usr_ldscript -a nftnl
+       prune_libtool_files
+
+       if use examples; then
+               find examples/ -name 'Makefile*' -delete
+               dodoc -r examples/
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}
+
+src_test() {
+       default
+       cd tests || die
+       ./test-script.sh || die
+}

Reply via email to